/*
Plugin Name: Download from files
Plugin URI:  http://wpdemo.dovi42.hu/download-from-files
Description: Letölthető fájlok a fájlrendszerből.
Version:     0.05
Author:      Dovi42
Author URI:  http://dovi42.hu/
License:     GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: download-from-files
Generator:   WP Creator - http://wpcreator.hu - 2020-03-08 07:34:34
*/

/*
jQuery(document).ready(function() {

    jQuery('.download-from-files-folder-title').on('click', function(){
       jQuery(this).closest('li').find('.folder-content:first').slideToggle(); 
       jQuery(this).find('span').toggleClass('dashicons-arrow-down-alt2 dashicons-arrow-up-alt2');
    });
});
*/

function download_from_files_617_download_file(file) {

    var data = {
            action : 'download_from_files_617_download_file',
            file   : file
        };

    jQuery.ajax({
        url      : download_from_files_617_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){
            if (data.status == 1) {
                // Status OK
                if (data.status == 1) {
                    const downloadLink = document.createElement('a');
                    downloadLink.href     = 'data:application/'+data.type+';base64,' + data.file;
                    downloadLink.download = data.filename;
                    downloadLink.click();
                }

            } else {
                alert(data.error);
            }
        },
        error: function (request, status, error) {
            alert('AJAX error : ' + status);
        } 
    });
}

function download_from_files_617_refresh() {

    jQuery('.download-from-files').each(function() {
        
        var data = {
                action  : 'download_from_files_617_refresh',
                token   : jQuery(this).attr('data-token'),
                options : jQuery(this).attr('data-options')
            };
    
        jQuery.ajax({
            url      : download_from_files_617_ajax_object.ajax_url,
            dataType : 'json',
            type     : 'POST',
            data     : data,
            success  : function(data, result){
                if (data.status == 1) {
                    // Status OK
                    jQuery('#download_from_files_'+data.token).closest('.dowload-from-files-block').html(data.html);
                } else {
                    alert(data.error);
                }
            },
            error: function (request, status, error) {
                alert('AJAX error : ' + status);
            } 
        });
        
    });
    
}