<?php

function download_from_files_617_counter($data) {
    
    $html = '';
    if (!empty($data)) {
        $html = '&nbsp;<small>['.$data.']</small>';
    }
    
    return $html;

}
add_filter( 'download_from_files_counter', 'download_from_files_617_counter', 10, 1 );

function download_from_files_617_date($datetime, $date_format, $time_format) {
    
    $date = date_i18n($date_format, strtotime($datetime));
    $time = date_i18n($time_format, strtotime($datetime));
    
    return $date . ' ' . $time.', ';
}
add_filter( 'download_from_files_date', 'download_from_files_617_date', 10, 3 );

function download_from_files_617_uploader($uploader) {
    
    $html = '';
    if (!empty($uploader)) {
        $html = $uploader . ', ';
    }
    
    return $html;    
}
add_filter( 'download_from_files_uploader', 'download_from_files_617_uploader', 10, 1 );

function download_from_files_617_icon($icon) {
    $src = '';
    if (!empty($icon)) {
        $src = esc_url( home_url('/') ) . str_replace(DOWNLOAD_FROM_FILES_617_WP_ROOT, '', DOWNLOAD_FROM_FILES_617_ROOT) . '/assets/images/' . $icon;
    }
    return $src;
}
add_filter( 'download_from_files_icon', 'download_from_files_617_icon', 10, 1 );

function download_from_files_617_tree_search($options) {
    $html = '   <div>'.
            '       <label for="search_download_'.$options['token'].'" style="float:left;margin-right:10px;">'.__('Search').':</label>'.
            '       <input id="search_download_'.$options['token'].'" type="text" style="float:left;width:50%;" value="" />'.
            '   </div>' . 
            '   <div style="clear:both;"></div>';
    return $html;
}
add_filter( 'download_from_files_tree_search', 'download_from_files_617_tree_search', 10, 1 );
