var download_from_files_617_target;
var download_from_files_617_image_src;
var download_from_files_617_update_index;
var download_from_files_617_browse_list;

jQuery(document).ready(function() {

    var src = jQuery('.download-from-files-browse').find('img:first').attr('src');
    src = src.split('/');
    src.pop();
    download_from_files_617_image_src = src.join('/');

    jQuery('.download-from-files-browse-folder').on('dblclick', function(){
       download_from_files_617_load_folder(jQuery(this));
    });
});

function download_from_files_617_load_folder(item) {
    
    download_from_files_617_target = item.closest('.download-from-files-browse').attr('data-target');
    
    var image = item.find('img:first');
    var src = download_from_files_617_image_src + '/loading.gif';
    image.attr('src', src);
    image.css('width', '100%');

    var data = {
            action  : 'download_from_files_617_refresh',
            token   : item.closest('.download-from-files-browse').attr('data-token'),
            options : item.closest('.download-from-files-browse').attr('data-options'),
            target  : item.attr('data-target'),
            update  : 0
        };

    jQuery.ajax({
        url      : download_from_files_617_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){
            if (data.status == 1) {
                // Status OK
                jQuery('#download_from_files_'+data.token).closest('.dowload-from-files-block').html(data.html);
                jQuery('#download_from_files_'+data.token).attr('data-target', download_from_files_617_target);

                if (download_from_files_617_target < jQuery('#download_from_files_'+data.token).attr('data-current')) {
                    download_from_files_617_add_up_icon(data.token);    
                }
                
                jQuery('.very-simple-file-upload').find('input[name=uploadDir]').val(jQuery('#download_from_files_'+data.token).attr('data-current'))
                
                jQuery('.download-from-files-browse-folder').on('dblclick', function(){
                   download_from_files_617_load_folder(jQuery(this));
                });
                
            } else {
                alert(data.error);
            }
        },
        error: function (request, status, error) {
            alert('AJAX error : ' + status);
        } 
    });
}

function download_from_files_617_add_up_icon(token) {
    var src = download_from_files_617_image_src + '/up.png';

    var html = '<div class="download-from-files-browse-folder" data-target=".." style="order:0;">' +
               '<img src="'+src+'"><br>' +
               '[..]' +
               '</div>';
    jQuery('#download_from_files_'+token).prepend(html);
}

function download_from_files_617_browse_refresh_item() {

    if (download_from_files_617_update_index >= download_from_files_617_browse_list.length) {
        return;
    }
    
    var item = jQuery('#download_from_files_'+download_from_files_617_browse_list[download_from_files_617_update_index]);
    
    var data = {
            action  : 'download_from_files_617_refresh',
            token   : item.attr('data-token'),
            options : item.attr('data-options'),
            target  : item.attr('data-current'),
            update  : 1
        };

    jQuery.ajax({
        url      : download_from_files_617_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){
            if (data.status == 1) {
                // Status OK
                jQuery('#download_from_files_'+data.token).closest('.dowload-from-files-block').html(data.html);
                jQuery('#download_from_files_'+data.token).attr('data-target', download_from_files_617_target);

                if (download_from_files_617_target < jQuery('#download_from_files_'+data.token).attr('data-current')) {
                    download_from_files_617_add_up_icon(data.token);    
                }
                
                jQuery('.very-simple-file-upload').find('input[name=uploadDir]').val(jQuery('#download_from_files_'+data.token).attr('data-current'))
                
                jQuery('.download-from-files-browse-folder').on('dblclick', function(){
                   download_from_files_617_load_folder(jQuery(this));
                });
                
                download_from_files_617_update_index++;
                if (download_from_files_617_update_index < download_from_files_617_browse_list.length) {
                    download_from_files_617_browse_refresh_item();                    
                }
                
            } else {
                alert(data.error);
            }
        },
        error: function (request, status, error) {
            alert('AJAX error : ' + status);
        } 
    });
}

function download_from_files_617_browse_refresh() {
    download_from_files_617_browse_list = [];
    jQuery('.download-from-files-browse').each(function() {
        download_from_files_617_browse_list.push( jQuery(this).attr('data-token') );            
    });
    download_from_files_617_update_index = 0;
    download_from_files_617_browse_refresh_item();
}